Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 112024 - problem with usage of "dialog" program when handled via mouse in X - items are not highlighted correctly
Summary: problem with usage of "dialog" program when handled via mouse in X - items ar...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Printing (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-09 17:53 UTC by pavel sanda
Modified: 2005-11-20 11:08 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
example of command line, which fails (command_example,3.54 KB, text/plain)
2005-11-09 18:00 UTC, pavel sanda
Details
patch (dialog-1.0-20050306-mouseselect.patch,664 bytes, patch)
2005-11-19 01:55 UTC, Harald van Dijk (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pavel sanda 2005-11-09 17:53:46 UTC
when utility "dialog" load many items on the page, from some second/third page
it doesnt reply to mouse click (ie doesnt highlight intended item)

Reproducible: Always
Steps to Reproduce:
1. X-11 running, some terminal sensitive on mouse (Eterm, xterm), resized enough
to handle the window
2. to be in the directory with at least hundred files
3. command: dialog --menu bye 40 132 32 `ls` `ls`


Actual Results:  
depending on concrete input (ie contents of directory) on the end of second page
/ in the third page, items couldnt be selected by mouse

Expected Results:  
:) it could be

1. it seems dependent on "dialog" version
Version: 0.9b-20031207 worked fine on some second PC,

Version: 1.0-20050206 doesnt on my own nor on some third PC.

2. i have tried it on both xterm and Eterm, so it should not be terminal-dependent 

emerge info:
Portage 2.0.51.22-r2 (default-linux/x86/2005.1, gcc-3.3.6, glibc-2.3.5-r1,
2.6.12-gentoo-r10 i686)
=================================================================
System uname: 2.6.12-gentoo-r10 i686 Intel(R) Pentium(R) M processor 1.86GHz
Gentoo Base System version 1.6.13
dev-lang/python:     2.3.5-r2
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.15.92.0.2-r10
sys-devel/libtool:   1.5.18-r1
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -mcpu=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env
/usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/
/usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/
/usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -mcpu=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org
http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="cs_CZ"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X alsa apm arts avi berkdb bitmap-fonts crypt cups curl eds emboss
encode fam foomaticdb fortran gdbm gif gnome gpm gstreamer gtk gtk2 imagemagick
imlib ipv6 jpeg kde libg++ libwww mad mikmod motif mp3 mpeg ncurses nls ogg
oggvorbis opengl oss pam pdflib perl png python qt quicktime readline sdl spell
ssl tcpd tetex tiff truetype truetype-fonts type1-fonts vorbis xml2 xmms xv zlib
userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LC_ALL, LDFLAGS, LINGUAS, PORTDIR_OVERLAY
Comment 1 pavel sanda 2005-11-09 18:00:38 UTC
Created attachment 72533 [details]
example of command line, which fails
Comment 2 Daniel Gryniewicz (RETIRED) gentoo-dev 2005-11-10 11:56:24 UTC
Dialog is not maintained by the printing team.  Please do not assign bugs directly.
Comment 3 Harald van Dijk (RETIRED) gentoo-dev 2005-11-19 01:55:57 UTC
Created attachment 73170 [details, diff]
patch

This patch should fix it, and seems to do so for me, but I'd like someone more
familiar with the code to verify that it's actually correct first.
Comment 4 Harald van Dijk (RETIRED) gentoo-dev 2005-11-20 11:08:30 UTC
Fixed now, along with a version bump.